%define majorver	8.6
%define libname		%mklibname %{name} %{majorver}
%define develname	%mklibname %{name} -d

Name:		tcl
Version:	8.6.14
Release:	%mkrel 1
Summary:	Tool Command Language, pronounced tickle
License:	TCL
Group:		Development/Other
URL:		https://tcl.sourceforge.net/
Source0:	https://downloads.sourceforge.net/tcl/%{name}-core%{version}-src.tar.xz
Source1:	tcl.macros
Patch0:		tcl-8.6.11-autopath.patch
Patch1:		tcl-8.6.11-conf.patch
BuildRequires:	autoconf
BuildRequires:	pkgconfig(zlib)
Provides:	tcl(abi) = %{majorver}

%description
The Tcl (Tool Command Language) provides a powerful platform for
creating integration applications that tie together diverse
applications, protocols, devices, and frameworks. When paired with the
Tk toolkit, Tcl provides a fastest and powerful way to create
cross-platform GUI applications.  Tcl can also be used for a variety
of web-related tasks and for creating powerful command languages for
applications.

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
The Tcl (Tool Command Language) provides a powerful platform for
creating integration applications that tie together diverse
applications, protocols, devices, and frameworks. When paired with the
Tk toolkit, Tcl provides a fastest and powerful way to create
cross-platform GUI applications.  Tcl can also be used for a variety
of web-related tasks and for creating powerful command languages for
applications.

If you're installing the tcl package and you want to use Tcl for
development, you should also install the tk and tclx packages.

%package -n	%{develname}
Summary:	Tcl scripting language development environment
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The Tcl (Tool Command Language) provides a powerful platform for
creating integration applications that tie together diverse
applications, protocols, devices, and frameworks. When paired with the
Tk toolkit, Tcl provides a fastest and powerful way to create
cross-platform GUI applications.  Tcl can also be used for a variety
of web-related tasks and for creating powerful command languages for
applications.

The package contains the development files and man pages for tcl.

%prep
%autosetup -p1 -n %{name}%{version}

rm -r compat/zlib

%build
pushd unix
autoconf
%configure2_5x \
	--enable-threads \
	--enable-symbols \
	--enable-shared

%make_build \
	CFLAGS="%{optflags}" TCL_LIBRARY=%{_datadir}/%{name}%{majorver}

%install
%make_install -C unix \
	TCL_LIBRARY=%{_datadir}/%{name}%{majorver}

ln -s tclsh%{majorver} %{buildroot}%{_bindir}/tclsh

# for linking with -lib%%{name}
ln -s lib%{name}%{majorver}.so %{buildroot}%{_libdir}/lib%{name}.so

mkdir -p %{buildroot}%{_libdir}/%{name}%{majorver}

# postgresql and maybe other packages too need tclConfig.sh
# paths don't look at /usr/lib for efficiency, so we symlink into tcl8.5 for now
ln -s %{_libdir}/%{name}Config.sh %{buildroot}%{_libdir}/%{name}%{majorver}/%{name}Config.sh

mkdir -p %{buildroot}%{_includedir}/%{name}-private/{generic,unix}
find generic unix -name "*.h" -exec cp -p '{}' %{buildroot}%{_includedir}/%{name}-private/'{}' ';'
( cd %{buildroot}%{_includedir}
	for i in *.h ; do
		[ -f %{buildroot}%{_includedir}/%{name}-private/generic/$i ] && ln -sf ../../$i %{buildroot}%{_includedir}/%{name}-private/generic ;
	done
)

# remove buildroot traces
sed -i -e "s|$PWD/unix|%{_libdir}|; s|$PWD|%{_includedir}/%{name}-private|" %{buildroot}%{_libdir}/%{name}Config.sh
rm -rf %{buildroot}%{_datadir}/%{name}%{majorver}/ldAix

install -m 0644 -D %{SOURCE1} %{buildroot}%{_rpmmacrodir}/macros.%{name}

chmod 0755 %buildroot/usr/lib64/libtcl8.6.so

%files
%{_bindir}/tclsh*
%{_datadir}/%{name}%{majorver}
%exclude %{_datadir}/%{name}%{majorver}/tclAppInit.c
%{_datadir}/%{name}8
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/mann/*
%dir %{_libdir}/%{name}%{majorver}

%files -n %{libname}
%{_libdir}/lib%{name}%{majorver}.so

%files -n %{develname}
%{_rpmmacrodir}/macros.%{name}
%{_includedir}/*
%{_libdir}/lib%{name}stub%{majorver}.a
%{_libdir}/lib%{name}.so
%{_libdir}/%{name}Config.sh
%{_libdir}/%{name}ooConfig.sh
%{_libdir}/%{name}%{majorver}/%{name}Config.sh
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}%{majorver}/tclAppInit.c


%changelog
* Thu Mar 07 2024 tex - 8.6.14-1pclos2024
- new Version
